JeepMaster 发表于 2022-7-6 11:53:57

Lisp选择引线和cha

我试图找出如何选择一组引线,并手动更改箭头大小的某个因素。这在某种程度上是该线程结果的延续。
http://www.cadtutor.net/forum/showthread.php?t=43478
SCALL。LeeMac的lsp很好。我只需要在之后选择引线,并通过设置的因子手动更改箭头大小。因此,如果我能找到另一个lisp来调整箭头大小,这将比使用“属性”菜单方法节省更多的步骤。谢谢

Lee Mac 发表于 2022-7-6 12:33:05

试试这个:
 

(defun c:aSze (/ *error* scl uFlag ActiveSelSet)
(vl-load-com)

(setq doc (cond (doc) ((vla-get-ActiveDocument
                        (vlax-get-Acad-Object)))))

(defun *error* (msg)
   (and uFlag (vla-EndUndomark doc))
   (or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*")
       (princ (strcat "\n** Error: " msg " **")))
   (princ))
   
(if (and (setq scl (getreal "\nSpecify Scale Factor: "))
          (ssget "_:L" '((0 . "*LEADER"))))
   (progn
   (setq uFlag (not (vla-StartUndoMark doc)))
   
   (vlax-for object (setq ActiveSelSet (vla-get-ActiveSelectionSet doc))
       (vlax-put-property object 'ArrowHeadSize
         (* (vlax-get-property object 'ArrowHeadSize) scl)))

   (vla-delete ActiveSelSet)
   (setq uFlag (vla-EndUndoMark doc))))

(princ))
      

      

      
      

JeepMaster 发表于 2022-7-6 12:50:11

李真是太可怕了。这正是我想要的。非常感谢。李·麦克前往救援。。。再一次。

Lee Mac 发表于 2022-7-6 13:13:02

 
不客气,吉普
页: [1]
查看完整版本: Lisp选择引线和cha